FUNCTION PRECISION_ISDOUBLE

  COMMON psm, param
  IF DEFINED(param) THEN BEGIN  
     CASE param.global.precision OF
        'double': RETURN, 1B
        'single': RETURN, 0B
        'simple': RETURN, 0B
        ELSE: MESSAGE, 'Invalid precision parameter'
     ENDCASE
  ENDIF ELSE BEGIN
     DEFSYSV, '!precision', exists=exists
     IF exists THEN BEGIN
        CASE STRUPCASE(!precision) OF
           'DOUBLE': RETURN, 1B 
           'SINGLE': RETURN, 0B
        ENDCASE
     ENDIF ELSE BEGIN
        RETURN, 0B
     ENDELSE
  ENDELSE


END
