PRO COADD_OBSCOMP_CAT, complist, coaddedcat, directory=directory, no_delete=no_delete

  ncomp = N_ELEMENTS(complist)
  added = BYTARR(ncomp)

  FOR i=0, ncomp-1 DO BEGIN
     ;; find component file
     compfile = FILE_SEARCH(FIX_SEPARATOR(directory),complist[i]+'_cat_'+'*.sav',count=c)
     IF c EQ 1 THEN BEGIN
        endfilename = PSM_STR_REPLACE(FILE_BASENAME(compfile),complist[i],'')  ; used later to get name of galactic file

        IF DEFINED(coaddedcat) THEN BEGIN
           READ_CATALOG, compfile, newcat
           coaddedcat = SUM_CATALOGS(coaddedcat,newcat,/erase)
        ENDIF ELSE BEGIN
           READ_CATALOG, compfile, coaddedcat
        ENDELSE

        added[i] = 1B

        IF NOT KEYWORD_SET(no_delete) THEN FILE_DELETE, compfile, /quiet
     ENDIF
  ENDFOR

END
