PRO LOGN_LOGS, fluxes,lon=lon, lat=lat, unit=unit, title=title

  IF NOT KEYWORD_SET(unit) THEN unit='mJy'
  IF NOT KEYWORD_SET(title) THEN title='Number of sources as a flux function'
  max_flux=max(fluxes)

  value=max_flux
  nbins=20
  bins=lonarr(nbins)

  abs=dblarr(nbins)


  FOR i=0,nbins-1 DO BEGIN
     old_value=value
     value=max_flux/(double(1.5)^(i+1))


     wh=WHERE((fluxes gt value) and (fluxes le old_value),nf) ; and (abs(lat) ge 5),nf)
     bins[nbins-(i+1)]=nf



     abs[nbins-(i+1)]=value

  ENDFOR
  
;  plot, alog10(abs), alog10(bins/(abs)^(-2.5))
  plot, abs, bins/((abs)^(-2.5)), /xlog,/ylog, TITLE=title, XTITLE='Flux in '+unit, YTITLE='Nsources / (Flux^ (-2.5)) '

END
