PRO COSMO::PRINT

  maxlen = LINE_LENGTH()
  ;; PRINT, ''
  PRINT, PSM_STRING_TO_LENGTH('% ',maxlen,character='-')
  textlen = 36
  paramlen = 13
  PRINT, PSM_STRING_TO_LENGTH('  CMB temperature:',textlen)+  PSM_STRING_TO_LENGTH('T_CMB = ',paramlen)+NUMBER2STRING(self.t_cmb,/blank4plus)+ ' K'
  PRINT, PSM_STRING_TO_LENGTH('  Hubble parameter:',textlen)+   PSM_STRING_TO_LENGTH('h = ',paramlen)+NUMBER2STRING(self.h,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Omega matter:',textlen)+   PSM_STRING_TO_LENGTH('Omega_m = ',paramlen)+NUMBER2STRING(self.omega_m,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Omega curvature:',textlen)+   PSM_STRING_TO_LENGTH('Omega_k = ',paramlen)+NUMBER2STRING(self.omega_k,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Omega dark energy:',textlen)+   PSM_STRING_TO_LENGTH('Omega_de = ',paramlen)+NUMBER2STRING(self.omega_de,/blank4plus)
  IF self.w_de NE (-1) THEN PRINT, PSM_STRING_TO_LENGTH('  Dark energy equation of state:',textlen)+   PSM_STRING_TO_LENGTH('w_de = ',paramlen)+NUMBER2STRING(self.w_de,/blank4plus)
  IF self.omega_rad NE 0 THEN PRINT, PSM_STRING_TO_LENGTH('  Omega radiation:',textlen)+   PSM_STRING_TO_LENGTH('Omega_rad = ',paramlen)+NUMBER2STRING(self.omega_rad,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Omega baryon:',textlen)+   PSM_STRING_TO_LENGTH('Omega_b = ',paramlen)+NUMBER2STRING(self.omega_b,/blank4plus)
  IF self.omega_nu NE 0 THEN PRINT, PSM_STRING_TO_LENGTH('  Omega neutrino:',textlen)+  PSM_STRING_TO_LENGTH('Omega_nu = ',paramlen)+NUMBER2STRING(self.omega_nu,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Scalar spectral index:',textlen)+  PSM_STRING_TO_LENGTH('n_s = ',paramlen)+NUMBER2STRING(self.n_s,/blank4plus)
  IF self.n_s_running NE 0 THEN PRINT, PSM_STRING_TO_LENGTH('  Scalar spectral index running:',textlen)+  PSM_STRING_TO_LENGTH('dn_s/dln(k) = ',paramlen)+NUMBER2STRING(self.n_s_running,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Tensor spectral index:',textlen)+  PSM_STRING_TO_LENGTH('n_t = ',paramlen)+NUMBER2STRING(self.n_t,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Tensor to scalar ratio:',textlen)+  PSM_STRING_TO_LENGTH('r = T/S = ',paramlen)+NUMBER2STRING(self.r,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Helium fraction:',textlen)+  PSM_STRING_TO_LENGTH('f_He = ',paramlen)+NUMBER2STRING(self.he_fraction,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Sigma 8:',textlen)+  PSM_STRING_TO_LENGTH('sigma_8 = ',paramlen)+NUMBER2STRING(self.sigma_8,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Scalar amplitude:',textlen)+  PSM_STRING_TO_LENGTH('A_s = ',paramlen)+NUMBER2STRING(self.scalar_amplitude,/blank4plus)
  PRINT, PSM_STRING_TO_LENGTH('  Reionisation optical depth:',textlen)+  PSM_STRING_TO_LENGTH('tau_reion = ',paramlen)+NUMBER2STRING(self.tau_reion,/blank4plus)

  PRINT, PSM_STRING_TO_LENGTH('% ',maxlen,character='-')

END
