; -----------------------------------------------------------------------------
;
; Copyright (C) 2010, 2012
;   Jacques Delabrouille
;
; This file is part of the Planck Sky Model (PSM).
;
; The Planck Sky Model is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; The Planck Sky Model is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Planck Sky Model.  If not, see <http://www.gnu.org/licenses/>.
;
; For more information about the PSM see:
; http://www.apc.univ-paris7.fr/~delabrou/PSM/psm.html
; or contact Jacques Delabrouille (delabrouille@apc.univ-paris7.fr)
;
; -----------------------------------------------------------------------------
;+
;-
FUNCTION COMP_IS_CAT, compname

  CASE compname OF
     'wmapps': RETURN, 1B
     'uchii': RETURN, 1B
     'irps': RETURN, 1B
     'radiops': RETURN, 1B
     'strongwmapps': RETURN, 1B
     'stronguchii': RETURN, 1B
     'strongirps': RETURN, 1B
     'strongradiops': RETURN, 1B
     'strongercscps': RETURN, 1B
     'faintwmapps': RETURN, 1B
     'faintuchii': RETURN, 1B
     'faintirps': RETURN, 1B
     'faintradiops': RETURN, 1B
     'faintercscps': RETURN, 1B
     'dipole': RETURN, 0B
     'cmb': RETURN, 0B
     'thermaldust': RETURN, 0B
     'spindust': RETURN, 0B
     'synchrotron': RETURN, 0B
     'freefree': RETURN, 0B
     'co': RETURN, 0B
     'firb': RETURN, 0B
     'thermalsz': RETURN, 0B
     'kineticsz': RETURN, 0B
  ENDCASE

END
