PRO FIT_GREYBODY, nu, flux, amplitude, specind, temp, nuref=nuref, dflux=dflux

  par = {value:0.,fixed:0B,limited:[0B,0B],limits:[0.,0.],parname:'',relstep:1e-3,mpside:0,mpmaxstep:0}
  parinfo = REPLICATE(par,4)

  IF NOT KEYWORD_SET(nuref) THEN BEGIN
     nuref=nu[0]
     iref=flux[0]
  ENDIF ELSE BEGIN
     iref = flux[WHERE(nu EQ nuref)]
  ENDELSE

  IF NOT DEFINED(dflux) THEN dflux = flux/10.

  parinfo.value = [nuref, iref, 1.5, 20.]
  parinfo.fixed = [1,0,0,0]  

  parms = MPFITFUN('GREYBODY', nu, flux, dflux, ftol=1.e-20, parinfo=parinfo, status=status, /quiet) ;

  amplitude = parms[1]
  specind = parms[2]
  temp = parms[3]

END
