PRO FILL_SMALLGAP, badpixlist, usepixlist, usevalues, values, nside=nside, ordering=ordering

  IF NOT KEYWORD_SET(ordering) THEN ordering='RING'

  ;; Spherical coordinates of all pixels
  ;;-------------------------------------
  CASE STRUPCASE(ordering) OF 
     'RING': BEGIN
        PIX2ANG_RING, nside, badpixlist, thetabad, phibad
        PIX2ANG_RING, nside, usepixlist, thetagood, phigood
     END
     'NESTED': BEGIN
        PIX2ANG_NEST, nside, badpixlist, thetabad, phibad
        PIX2ANG_NEST, nside, usepixlist, thetagood, phigood
     END
  ENDCASE

  ;; Gnomic projection
  ;;-------------------
  dtor = !dpi/180
  lonlat = [MEDIAN(phibad)/dtor,90 - MEDIAN(thetabad)/dtor]
  WCSSPH2XY, phibad/dtor, (!dpi/2d0-thetabad)/dtor, xpout, ypout, 2, crval=lonlat
  WCSSPH2XY, phigood/dtor, (!dpi/2d0-thetagood)/dtor, x, y, 2, crval=lonlat

  ;; Fit
  ;;-----
  values = MIN_CURVE_SURF(usevalues, x, y, xpout=xpout, ypout=ypout)



END 
