FUNCTION CL2COV, ell, cl, nclfs=nclfs, double=double
  
  IF NOT KEYWORD_SET(nclfs) THEN nclfs=N_ELEMENTS(cl.field)

  IF nclfs LT 1 THEN BEGIN
    PRINT, "nclf is less than unity"
    STOP
  ENDIF

  IF KEYWORD_SET(double) THEN cov=DBLARR(nclfs,nclfs) ELSE cov=FLTARR(nclfs,nclfs)  
  
  FOR i = 0L, nclfs-1 DO BEGIN
    ist = NUMBER2STRING(i+1)
    FOR j = i, nclfs-1 DO BEGIN
      jst = NUMBER2STRING(j+1)
      ok = EXECUTE('cov[i,j] = cl.c_'+ist+'_'+jst+'[ell]')
      IF NOT ok THEN STOP
      cov[j,i] = cov[i,j]
    ENDFOR
  ENDFOR

  RETURN, cov

END

