PRO CL_UPDATE_UNITS, cl, field, units_new, band=band

  wh = WHERE(cl.field EQ field, nwh)

  CASE nwh OF
     0: ;; do nothing
     1: BEGIN
        factor = CONVERSION_FACTOR(cl.units[wh[0]], units_new, band)
        ok = 1B
        FOR j=wh[0],N_ELEMENTS(cl.field)-1 DO BEGIN
           ok = ok AND EXECUTE("cl.c_"+NUMBER2STRING(wh[0]+1)+"_"+NUMBER2STRING(j+1)+" = factor * cl.c_"+NUMBER2STRING(wh[0]+1)+"_"+NUMBER2STRING(j+1))
        ENDFOR
        FOR j=0, wh[0] DO BEGIN
           ok = ok AND EXECUTE("cl.c_"+NUMBER2STRING(j+1)+"_"+NUMBER2STRING(wh[0]+1)+" = factor * cl.c_"+NUMBER2STRING(j+1)+"_"+NUMBER2STRING(wh[0]+1))
        ENDFOR
        IF ok THEN cl.units[wh[0]] = units_new ELSE MESSAGE, 'Could not convert units'
     END
  ENDCASE


END 
