FUNCTION ALL_PSM_PROGRAMS, indir

  IF NOT DEFINED(indir) THEN BEGIN 
     psmdir = GETPSMDIR('psmsoft')
  ENDIF ELSE BEGIN
     psmdir = indir
  ENDELSE
  
  psmdir = FIX_SEPARATOR(psmdir, /remove)

  list_dir = STRSPLIT(!PATH,':',/extract)
  wh = WHERE(STRMID(list_dir,0,STRLEN(psmdir)) EQ psmdir, ndir)

  IF ndir EQ 0 THEN BEGIN

  ENDIF ELSE BEGIN
     list_dir = list_dir[wh]
  ENDELSE

  all_pro_files = ['']

  FOR i=0, ndir-1 DO BEGIN
     dir = FIX_SEPARATOR(list_dir[i])
     res = FILE_SEARCH(dir+'*.pro')
     all_pro_files = [all_pro_files,res]
  ENDFOR

  wh = WHERE(STRLEN(all_pro_files) NE 0, nwh)

  all_pro_files = all_pro_files[wh]
  dirlist = STRARR(nwh)
  prolist = STRARR(nwh)

  ;; Eliminate obsolete software from list
  ;;---------------------------------------
  all_pro_files = PSM_STR_REPLACE(all_pro_files,FIX_SEPARATOR(psmdir),'')
  wh = WHERE(FIRSTCHAR(all_pro_files,8) NE 'obsolete', nwh)
  all_pro_files = all_pro_files[wh]

  RETURN, FIX_SEPARATOR(psmdir) + all_pro_files

END
