PRO CLEAR_PSM_DIRECTORY, whichdir

  COMMON psm, param

  dir = GETPSMDIR(whichdir,exists=exists)
  IF exists THEN BEGIN
     listfiles = FILE_SEARCH(dir, '*.*')
     IF DEFINED(param) THEN BEGIN
        carefulness = param.run.carefulness 
        verbosity = param.run.verbosity
     ENDIF ELSE BEGIN 
        carefulness=0
        verbosity=0
     ENDELSE
     nfile = N_ELEMENTS(listfiles)
     FOR i=0, nfile-1 DO BEGIN
        IF STRLEN(listfiles[i]) NE 0 THEN BEGIN
           IF carefulness GE 2 THEN BEGIN
              PSM_INFO_MESSAGE, 'Do you REALLY want to erase the file ' + listfiles[i]
              PSM_INFO_MESSAGE, 'Type .c to erase the file and continue '
              STOP
           ENDIF
           IF verbosity EQ 0 THEN FILE_DELETE, listfiles[i], /allow_nonexistent, /quiet
           IF verbosity GE 1 THEN FILE_DELETE, listfiles[i], /allow_nonexistent, /verbose
        ENDIF
     ENDFOR
  ENDIF
     
END
  
