PRO PSM_STARTUP, carefulness=carefulness, verbosity=verbosity, debug=debug

  ;; (Re)set debug, carefulness and verbosity
  ;;------------------------------------------

  IF NOT DEFINED(debug) THEN debug=0
  SET_DEBUG, debug

  ;; Level of carefulness in the run, including consistency checks [default = 0]
  ;; 0 is minimum care: overwrite existing file, no consistency checks
  ;; 1 is mild care: some consistency checks are performed
  ;;    and warnings are issued when needed
  ;; 2 is great care: no existing file is erased or overwritten (in principle)
  ;;    and PSM stops when encountering a problem
  ;; 3 is maximum care: no default value is set for missing parameters

  IF NOT DEFINED(carefulness) THEN carefulness=0
  SET_CAREFULNESS, carefulness

  IF NOT DEFINED(verbosity) THEN verbosity=0

  ;; Define physical constants
  ;;---------------------------
  ;; Defines a system variable named !phyconst
  ;; Containing fixed physical parameters for centralized definition (in mks units)
  ;; Values from Particle Physics data booklet, except for TCMB, read in input file
  DEFINE_PHYSICAL_CONSTANTS
  ;PSM_DEBUG_MESSAGE, 'copying !phyconst into !const (to be fixed)'
  ;const = !phyconst
  ;DEFSYSV, '!const', const


END
