FUNCTION fluxasoc,map,c,Sn,Sx,Slim=Slim

ntot=total(map,/double)
bin=abs(c[0,1]-c[0,2])

Smap=map[*]*0.
cat=[0,0]

w=where(map gt 0,n_w)
while (n_w gt 0) do begin
;	S=fluxes(n_w,c,Sn,Sx)
;	map[w]=map[w]-1
;	Smap[w]=Smap[w]+S[*]
	ns=min([n_w,1e6])
	;S=fluxes(ns,c,Sn,Sx)
Ntot=ns

bin=abs(c[0,1]-c[0,2])
ns2=1.e6
n=0.
S=0.
Sx=min([Sx,max(c[0,*])])

while (n le Ntot) do begin
	wi=where(c[0,*] gt Sn and c[0,*] lt Sx and c[1,*] gt 0.0001,wi_n)
	ymin=max(10^[-4,alog10(min(c[1,wi]))])
	r=floor(randomu(getseed(),ns2,/double)*wi_n)
	y=ymin+randomu(getseed(),ns2,/double)*(max(c[1,wi])-ymin)
	wr=where(y lt c[1,wi[r]],wr_n)
	S=[[temporary(S)],[c[0,wi[r[wr]]]]]
	n=n+wr_n
endwhile

S=S[1:Ntot]
S=S-randomu(getseed(),Ntot,/double)*bin
S=10^temporary(S)



	map[w[0:ns-1]]=map[w[0:ns-1]]-1
	Smap[w[0:ns-1]]=Smap[w[0:ns-1]]+S[*]	
	if keyword_set(Slim) then begin
		ws=where(S ge Slim,nws)
		if nws gt 0 then begin
			cat=[[cat],[transpose(w[ws]),transpose(S[ws])]]
		endif
		ws=0
	endif
	S=0.
	w=0.
	w=where(map gt 0,n_w)
endwhile
map=0.
S=0.
if n_elements(cat) gt 3 then begin
	cat=cat[*,1:n_elements(cat[0,*])-1]

	nside=round(sqrt(n_elements(Smap)/12.))
	mkhdr,hdr,cat
	sxaddpar,hdr,'Columns','ipring S(Jy)',before='DATE'
	writefits,'./output_catalogue_lowerfluxlimit_'+strtrim(round(Slim*1000.),2)+'mJy_nside_'+strtrim(nside,2)+'.fits',cat,hdr
endif

return,Smap

END
