; -----------------------------------------------------------------------------
;
; Copyright (C) 2010
;   Jacques Delabrouille
;
; This file is part of the Planck Sky Model (PSM).
;
; The Planck Sky Model is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; The Planck Sky Model is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Planck Sky Model.  If not, see <http://www.gnu.org/licenses/>.
;
; For more information about the PSM see:
; http://www.apc.univ-paris7.fr/~delabrou/PSM/psm.html
; or contact Jacques Delabrouille (delabrouille@apc.univ-paris7.fr)
;
; -----------------------------------------------------------------------------
;+
;-
PRO WRITE_CATALOG, cat, filename, sav=sav, fits=fits, name=name

  IF KEYWORD_SET(sav) NE 0 THEN dosav = 1B
  IF NOT KEYWORD_SET(name) THEN BEGIN
     IF dosav THEN SAVE, file=filename, cat ELSE MESSAGE, 'Case to be implemented'
  ENDIF ELSE BEGIN
     comp = cat
     IF dosav THEN SAVE, file=filename, comp ELSE MESSAGE, 'Case to be implemented'
  ENDELSE

END


