FUNCTION RESOL2LMAX, resol, maxlevel=maxlevel

  IF NOT KEYWORD_SET(maxlevel) THEN maxlevel = 5d-3

  IF maxlevel GE 1 THEN RETURN, 0L

  sigma = resol/60.d0*!DTOR / SQRT(8.d0*ALOG(2.d0))
  sig2 = sigma*sigma

  lmax=0L
  result=1d0

  WHILE result GT MAXLEVEL DO BEGIN

     result = EXP(-0.5d0*lmax*(lmax+1.d0)*sig2)
     IF result GT maxlevel THEN lmax=lmax+1L ELSE RETURN, lmax

  ENDWHILE

END	 
