PRO FIGURES_FFP4_CMB, dir=dir


  cmbdir = GETPSMDIR('cmb',psm_output_dir=dir)

  PSM_ALM2MAP, cmbdir+'cmb_alm_scalar_linear.fits', map, hpx_nside=2048
  hd = HEADFITS(cmbdir+'cmb_alm_scalar_linear.fits',exten=1)
  
  MOLLVIEW, map[*,0], png=GETPSMDIR('figures')+'cmb_map_scalar_linear_I.png', title='CMB I, scalar modes, gaussian', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,1], png=GETPSMDIR('figures')+'cmb_map_scalar_linear_Q.png', title='CMB Q, scalar modes, gaussian', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,2], png=GETPSMDIR('figures')+'cmb_map_scalar_linear_U.png', title='CMB U, scalar modes, gaussian', units=SXPAR(hd,'TUNIT2')

  PSM_ALM2MAP, cmbdir+'cmb_alm_scalar_nonlinear.fits', map, hpx_nside=2048, /overwrite
  hd = HEADFITS(cmbdir+'cmb_alm_scalar_nonlinear.fits',exten=1)
  
  MOLLVIEW, map[*,0], png=GETPSMDIR('figures')+'cmb_map_scalar_nonlinear_I.png', title='CMB I, scalar modes, non-gaussian (fnl=1)', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,1], png=GETPSMDIR('figures')+'cmb_map_scalar_nonlinear_Q.png', title='CMB Q, scalar modes, non-gaussian (fnl=1)', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,2], png=GETPSMDIR('figures')+'cmb_map_scalar_nonlinear_U.png', title='CMB U, scalar modes, non-gaussian (fnl=1)', units=SXPAR(hd,'TUNIT2')

  PSM_ALM2MAP, cmbdir+'cmb_alm_tensor_linear.fits', map, hpx_nside=2048, /overwrite
  hd = HEADFITS(cmbdir+'cmb_alm_tensor_linear.fits',exten=1)
  
  MOLLVIEW, map[*,0], png=GETPSMDIR('figures')+'cmb_map_tensor_linear_I.png', title='CMB I, tensor modes, gaussian (r=1)', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,1], png=GETPSMDIR('figures')+'cmb_map_tensor_linear_Q.png', title='CMB Q, tensor modes, gaussian (r=1)', units=SXPAR(hd,'TUNIT2')
  MOLLVIEW, map[*,2], png=GETPSMDIR('figures')+'cmb_map_tensor_linear_U.png', title='CMB U, tensor modes, gaussian (r=1)', units=SXPAR(hd,'TUNIT2')


END
